Name:           perl-PerlIO-Layers
Version:        0.012
Release:    2%{?dist}
Summary:        Querying your file handle capabilities
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PerlIO-Layers
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/PerlIO-Layers-%{version}.tar.gz
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build) >= 0.28
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(List::Util)
BuildRequires:  perl(PerlIO)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Test::More) >= 0.82

%{?perl_default_filter}

%description
Perl file handles are implemented as a stack of layers, with the bottom-most
usually doing the actual IO and the higher ones doing buffering,
encoding/decoding or transformations. PerlIO::Layers allows you to query the
file handle properties concerning these layers.

%prep
%setup -q -n PerlIO-Layers-%{version}

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/PerlIO*
%{_mandir}/man3/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.012-2
- Rebuilt for loongarch64

* Wed Jul 31 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.012-1
- initial build
